Loading...
Searching...
No Matches
CxxTest::ValueTraits< const char > Class Reference

`#include <ValueTraits.h>`

## Public Member Functions

| ValueTraits (char c)
const char * | asString (void) const

## Private Types

enum |

## Private Attributes

char | _asString [sizeof("'\\xXX'")]

## Detailed Description

Definition at line 289 of file ValueTraits.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

private

Definition at line 76 of file ValueTraits.h.

{ MAX_BYTES = 8 };
CxxTest::ValueTraits< const char >::MAX_BYTES
@ MAX_BYTES
Definition ValueTraits.h:76

## Constructor & Destructor Documentation

## ValueTraits()

CxxTest::ValueTraits< const char >::ValueTraits | ( | char | c | ) |

inline

Definition at line 293 of file ValueTraits.h.

{ copyString( charToString( c, copyString( _asString, "'" ) ), "'" ); }
CxxTest::ValueTraits< const char >::_asString
char _asString[sizeof("'\\xXX'")]
Definition ValueTraits.h:291
CxxTest::ValueTraits
Definition ValueTraits.h:75
CxxTest::copyString
char * copyString(char *dst, const char *src)
Definition ValueTraits.cpp:30
CxxTest::charToString
char * charToString(unsigned long c, char *s)
Definition ValueTraits.cpp:48

## Member Function Documentation

## asString()

const char * CxxTest::ValueTraits< const char >::asString | ( | void |  | ) | const

inline

Definition at line 294 of file ValueTraits.h.

{ return _asString; }

## Field Documentation

## _asString

char CxxTest::ValueTraits< const char >::_asString[sizeof("'\\xXX'")]

private

Definition at line 291 of file ValueTraits.h.

The documentation for this class was generated from the following file:

- libpolys/tests/cxxtest/ValueTraits.h